Skip to content
GBG Documents & Biometrics Documentation

/ExtractImage

POST
/ExtractImage
curl --request POST \
--url https://liveness-v2-eu.core.idscan.cloud/ExtractImage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form EncryptedPacket=@file \
--form 'Configurations={ "additionalProperty": "example" }'

Extracts the JPG portrait captured inside an encrypted enhanced liveness packet.

Documents and Biometrics Core Extract Image endpoint provides the JPG portrait captured inside an encrypted enhanced liveness packet, allowing it to be used independently (e.g. as an anchor for a subsequent Facematch call) without waiting on a combined Biometrics check.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
EncryptedPacket
string format: binary
Configurations
object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the submitted encrypted packet. This code does not indicate a success on the extraction of a face from the packet itself but rather a success on the call to the endpoint. The extracted image is in the response body (See Response Body section below).

object
correlationId
string
nullable
imageData
string format: byte
nullable
error
object
error
string
nullable
errorCode
string
nullable
message
string
nullable
statusCode
string
nullable

No Content

Error with the provided parameters, please, check the response provided to get more insights on the problem.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable